EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [opciones] archivo_de_entrada [archivo_de_salida]

Pulir libros le permite poner un toque de perfección en los libros creados con esmero.

Al pulir se intenta mantener al mínimo los cambios en el código interno del libro. Contrariamente a la conversión, no aplana el código CSS, ni cambia el nombre de ficheros, ni cambia tamaños de letra, ni ajusta los márgenes, etc. Toda acción se realiza con el menor conjunto de cambios necesario para obtener el efecto deseado.

Debería usar esta herramienta como el último paso en el proceso de creación de un libro.

Tenga en cuenta que esta acción sólo funciona con archivos en los formatos AZW3 o EPUB.

Cuando alguno de los argumentos de ebook-polish contenga espacios, póngalo entre comillas. Por ejemplo: "/some path/with spaces"

[OPCIONES]

--add-soft-hyphens, -H
    Se añaden guiones discrecionales a todas las palabras del libro. Esto permite que el libro se muestre mejor con texto justificado en lectores que no permiten la división de palabras.

--compress-images, -i
    Comprimir sin pérdidas las imágenes en el libro para reducir su tamaño sin afectar la calidad de imagen.

--cover, -c
    Ruta a la imagen de portada. Cambia la portada especificada en el libro. Si no hay una portada presente o si no está correctamente identificada, inserta una nueva portada.

--embed-fonts, -e
    Incrustar todos los tipos de letra referenciados en el documento de entrada pero no incrustados todavía. Esta opción buscará los tipos de letra en el sistema y, si se encuentran, se incrustarán en el documento. Asegúrese de tener una licencia adecuada para incrustar los tipos de letras usados en el documento.

--help, -h
    mostrar este mensaje de ayuda y terminar

--jacket, -j
    Insertar una página de «sobrecubierta» al principio del libro con todos los metadatos del libro, como título, etiquetas, autores, serie, comentarios, etc. Se sustituirá cualquier sobrecubierta ya existente.

--opf, -o
    Ruta a un fichero OPF. Los metadatos del libro se actualizan a partir del fichero OPF.

--remove-jacket
    Eliminar una página de sobrecubierta insertada previamente.

--remove-soft-hyphens
    Eliminar guiones discrecionales de todo el texto del libro.

--remove-unused-css, -u
    Eliminar todas las reglas sin usar de las hojas de estilo y etiquetas <style>. Algunos libros creados a partir de plantillas de producción pueden contener un gran número de reglas CSS innecesarias que no afectan a ningún contenido del libro. Estas reglas adicionales pueden ralentizar los lectores, que necesitan procesarlas todas.

--smarten-punctuation, -p
    Convertir rayas, puntos suspensivos, comillas rectas, guiones múltiples, etc. en sus equivalentes tipográficos correctos. Tenga en cuenta que el algoritmo puede dar lugar a resultados incorrectos en algunos casos, especialmente cuando aparecen apóstrofos iniciales en una palabra.

--subset-fonts, -f
    Reducir caracteres significa que se eliminan los caracteres sin usar de un tipo de letra incrustado, de manera que sólo se mantienen los caracteres de ese tipo de letra que se usan en el libro. Esto puede reducir considerablemente el tamaño de los archivos de tipo de letra (una reducción del 50% es normal). Por ejemplo, si el libro usa un tipo de letra determinado para las cabeceras, la reducción de caracteres mantendrá sólo los caracteres presentes en las cabeceras del libro. O si un libro incluye las versiones negrita y cursiva de un tipo de letra, pero los textos en negrita o cursiva son infrecuentes o inexistentes, entonces los archivos correspondientes a las versiones negrita y cursiva pueden reducirse a unos pocos caracteres o incluso eliminarse por completo. La única desventaja de reducir los caracteres de los tipos de letra es que si más adelante decide añadir más texto a los libros, el nuevo texto puede no estar cubierto por el tipo de letra reducido.

--upgrade-book, -U
    Actualizar el código interno del libro, si es posible. Por ejemplo, actualizar libros EPUB 2 a EPUB 3.

--verbose
    Proporciona una salida más detallada, útil para depurar.

--version
    mostrar el número de versión del programa y terminar

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal